Bug 237450 - kernel sees only 3 cores of quad core chip, sometimes
Summary: kernel sees only 3 cores of quad core chip, sometimes
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 10:07 UTC by Rik van Riel
Modified: 2008-05-07 01:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:32:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rik van Riel 2007-04-23 10:07:55 UTC
Description of problem:

Occasionally the kernel only manages to initialize 3 out of the 4 cores in my
quad-core CPU.  I have seen core #2 and core #3 gotten stuck, but it is quite
possible that it has happened to #1 too without me noticing.

Version-Release number of selected component (if applicable):

2.6.20-1.3045.fc7

Additional information:

Booting processor 2/4 APIC 0x1
Initializing CPU#2
Stuck ??

Usually trying to reboot the system fixes the problem.

Comment 1 Dave Jones 2007-04-23 15:15:21 UTC
Strange.  My quad reliably brings up all four cores.  I have ..

vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU           @ 2.66GHz
stepping        : 7

Same system?   BIOS update available maybe?  (Clutching at straws here, as I've
no better ideas).

Comment 2 Chuck Ebbert 2007-04-23 16:03:49 UTC
(In reply to comment #0)
> Booting processor 2/4 APIC 0x1
> Initializing CPU#2
> Stuck ??
> 

Is that the exact message output?



Comment 3 Rik van Riel 2007-04-23 19:37:40 UTC
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU           @ 2.66GHz
stepping        : 7
cpu MHz         : 1596.000
cache size      : 4096 KB


Chuck, yes that is the exact message I get on early boot up.  The kernel is also
"stuck" for a bit during bootup when that happens, waiting for the CPU core to
do something.  Note that this is only an intermittent problem.

Comment 4 Dave Jones 2007-04-23 19:43:31 UTC
odd, hardware looks the same.
I wonder if we have different bios versions.

Comment 5 Rik van Riel 2007-04-23 20:06:30 UTC
Dave, Geoff, does my Kentsfield have an old BIOS?

Handle 0x0004, DMI type 0, 24 bytes.
BIOS Information
        Vendor: Intel Corp.
        Version: BX97520J.86A.2395.2006.1220.1100
        Release Date: 12/20/2006


Comment 6 Dave Jones 2007-04-23 20:32:28 UTC
mine is running..

        Vendor: Intel Corp.
        Version: BX97520J.86A.2214.2006.1023.1710
        Release Date: 10/23/2006

which looks to be older than yours. hmm.

Comment 7 Geoff Gustafson 2007-04-24 17:52:06 UTC
That's the latest BIOS I've seen for the box, but I'll try to find out if this
has been seen before.

Comment 8 Jarod Wilson 2007-04-24 17:57:37 UTC
Been meaning to open this same bug myself. My kentsfield also only comes up on 3
cores from time to time:

BIOS Information
        Vendor: Intel Corp.
        Version: BX97520J.86A.2395.2006.1220.1100
        Release Date: 12/20/2006

Comment 9 Geoff Gustafson 2007-04-24 20:00:19 UTC
There is a new BIOS 2692 available here:
http://support.intel.com/support/motherboards/desktop/d975xbx2/


Comment 10 Jarod Wilson 2007-04-24 20:35:57 UTC
I'll throw the bios update at my box in just a bit...

Comment 11 Jarod Wilson 2007-04-26 18:15:17 UTC
BIOS updated and all four cores have come up on 5 or 6 straight reboots (but
they also came up fine the few reboots prior to the bios update, so can't be
sure all is well yet).

Comment 12 Bug Zapper 2008-04-04 00:12:23 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 13 Bug Zapper 2008-05-07 01:32:08 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.